Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1606070 - racoon2: FTBFS: configure: error: no acceptable cc found in $PATH
Summary: racoon2: FTBFS: configure: error: no acceptable cc found in $PATH
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: racoon2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1675870 (view as bug list)
Depends On:
Blocks: 1551327 F29FTBFS F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 18:18 UTC by Mohan Boddu
Modified: 2019-11-01 07:11 UTC (History)
3 users (show)

Fixed In Version: racoon2-20100526a-39.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 07:11:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (12.12 KB, text/plain)
2018-07-20 18:18 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 18:18 UTC, Mohan Boddu
no flags Details
state.log (639 bytes, text/plain)
2018-07-20 18:18 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 18:18:23 UTC
racoon2 failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28227549


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix racoon2 at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
racoon2 will be orphaned. Before branching of Fedora 30,
racoon2 will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 18:18:27 UTC
Created attachment 1467264 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 18:18:35 UTC
Created attachment 1467265 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 18:18:39 UTC
Created attachment 1467266 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:04:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Petr Pisar 2019-06-21 08:52:38 UTC
checking for gcc... no
checking for cc... no
BUILDSTDERR: configure: error: no acceptable cc found in $PATH
BUILDSTDERR: configure: error: ./configure failed for lib

A build-time dependency on gcc is missing.

Comment 6 Petr Pisar 2019-06-21 08:53:04 UTC
*** Bug 1675870 has been marked as a duplicate of this bug. ***

Comment 7 Petr Pisar 2019-06-21 09:02:32 UTC
Another issue:

gcc -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -fexceptions -fstack-protector-strong -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection  -DENABLE_SECURE -Wall -Wmissing-prototypes -Wmissing-declarations -g -O -I/usr/include  -DINET6=1 -DSTDC_HEADERS=1 -DHAVE_SYS_WAIT_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_NET_ETHERNET_H=1 -DHAVE_LIMITS_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDARG_H=1 -DENABLE_NATT=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_STRFTIME=1 -DHAVE_VPRINTF=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MKTIME=1 -DHAVE_SOCKET=1 -DHAVE_STRDUP=1 -DHAVE_STRERROR=1 -DHAVE_STRTOL=1 -DHAVE_GETIFADDRS=1 -DHAVE_ATOLL=1 -DHAVE_OPENSSL_EVP_H=1  -DRACOON2_CONFIG_DIR=\"/etc/racoon2\" -DCF_DEBUG -c if_spmd.c
if_spmd.c: In function ‘spmd_if_login_response’:
if_spmd.c:1103:13: error: storage size of ‘ctx’ isn’t known
 1103 |  EVP_MD_CTX ctx;
      |             ^~~
if_spmd.c:1157:7: warning: implicit declaration of function ‘EVP_MD_CTX_cleanup’; did you mean ‘EVP_MD_CTX_create’? [-Wimplicit-function-declaration]
 1157 |  if (!EVP_MD_CTX_cleanup(&ctx)) {
      |       ^~~~~~~~~~~~~~~~~~
      |       EVP_MD_CTX_create
if_spmd.c:1103:13: warning: unused variable ‘ctx’ [-Wunused-variable]
 1103 |  EVP_MD_CTX ctx;
      |             ^~~

It seems it needs porting to OpenSSL 1.1.1.

Comment 8 Petr Pisar 2019-06-21 09:28:00 UTC
I will apply fixes from <https://github.com/zoulasc/racoon2>. It would be great to move the upstream of this package there. FreeBSD did that, too.

Comment 9 Fedora Update System 2019-06-21 10:05:22 UTC
FEDORA-2019-63496c79bb has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-63496c79bb

Comment 10 Fedora Update System 2019-06-21 10:05:36 UTC
FEDORA-2019-9222d05150 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9222d05150

Comment 11 Fedora Update System 2019-06-22 02:46:28 UTC
racoon2-20100526a-38.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9222d05150

Comment 12 Fedora Update System 2019-06-22 06:04:52 UTC
racoon2-20100526a-39.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-63496c79bb

Comment 13 Fedora Update System 2019-07-03 01:15:55 UTC
racoon2-20100526a-39.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-07-03 02:01:08 UTC
racoon2-20100526a-38.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Ben Cotton 2019-10-31 19:04:49 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.